# xfs:       Starts the X Font Server
#
# xfs:		Starts the X Font Server
#
# description:	Starts and stops the X Font Server at boot time and shutdown.

daemon daemon/xfs {
	need = system/initial system/mountfs daemon/prexfs

	daemon = /usr/X11R6/bin/xfs
	daemon_args = -port 7100 -daemon -droppriv
	pid_file = /var/run/xfs.pid
}

service daemon/prexfs {
#	need = system/initial system/mountfs system/bootmisc
	need = system/initial system/mountfs system/cleanfs system/rundir

	start {
		FONT_UNIX_DIR=/tmp/.font-unix
		rm -rf $FONT_UNIX_DIR
		mkdir $FONT_UNIX_DIR
		chown root:root $FONT_UNIX_DIR
		chmod 1777 $FONT_UNIX_DIR
	}
}
